Client billing portal
Change Client Billing Plan
Changes the own organization's billing plan from its first unbilled period, or during a trial.
POSThttps://api.toku.com/platform/change-client-billing-plan
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/platform/change-client-billing-plan' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"catalogVersion": "string",
"acceptedAgreement": true,
"agreementVersion": "string"
}'200 response
{}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
catalogVersionstringrequiredAllowed: matches ^[a-z0-9][a-z0-9._-]{0,31}$
acceptedAgreementbooleanrequiredagreementVersionstringAllowed: at most 64 characters
Response
200Successful response
changeanyrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits